This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 54973 - Misleading Resolve Missing Server Problem
Summary: Misleading Resolve Missing Server Problem
Status: CLOSED FIXED
Alias: None
Product: serverplugins
Classification: Unclassified
Component: Infrastructure (show other bugs)
Version: 4.x
Hardware: PC Linux
: P3 blocker (vote)
Assignee: Libor Kotouc
URL:
Keywords: SIMPLEFIX, UI
Depends on:
Blocks:
 
Reported: 2005-02-15 10:13 UTC by Petr Blaha
Modified: 2006-03-24 12:55 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
snapshot (19.86 KB, image/png)
2005-02-15 10:15 UTC, Petr Blaha
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Blaha 2005-02-15 10:13:28 UTC
[Build 20050214]
I opened the J2EE application project that uses
Sun App server as target server in IDE with clear
userdir. While IDE is parsing the classpath I got
the Resolve Missing Server problem error.
Therefor, I went to Reslove refernce problem. In
the new window the user is prompted to select a
server from list. However, the list is empty.
Comment 1 Petr Blaha 2005-02-15 10:15:06 UTC
Created attachment 20347 [details]
snapshot
Comment 2 Petr Blaha 2005-02-15 10:16:13 UTC
In resolve reference panel shall be hint to add the App server in
registry.
Comment 3 Sherold Dev 2005-02-18 11:07:54 UTC
Setting the TM to 4.1. 
Comment 4 Jiri Kopsa 2005-03-31 09:57:57 UTC
I think we might hide the list and "Please select one ..." label and replace it
with a label "Since there isn't any suitable server instance at the moment, the
problem can not be resolved. Please add a suitable server instance in the Server
Manager first."

Adding docs on CC to be informed (and check the wording).
Comment 5 John Jullion-ceccarelli 2005-03-31 09:59:53 UTC
"Since there is no suitable server instance at the moment, the
problem cannot be resolved. Please add a suitable server instance in the Server
Manager first."
Comment 6 Libor Kotouc 2005-03-31 10:16:44 UTC
Thx. Should we somehow solve the situation when there are some servers but the
correct one is missing (e.g. after userdir deletion there is Bundled Tomcat by
dafult but App Server is missing).
Comment 7 Libor Kotouc 2005-03-31 10:18:35 UTC
We cannot automatically detect the missing server (except ther is no one) but we
can add some sentence for the case described above...
Comment 8 Libor Kotouc 2005-03-31 12:37:47 UTC
Fixed.

Checking in NoSelectedServerWarning.java;
/cvs/web/project/src/org/netbeans/modules/web/project/ui/NoSelectedServerWarning.java,v
 <--  NoSelectedServerWarning.java
new revision: 1.6; previous revision: 1.5
done
Checking in NoSelectedServerWarning.form;
/cvs/web/project/src/org/netbeans/modules/web/project/ui/NoSelectedServerWarning.form,v
 <--  NoSelectedServerWarning.form
new revision: 1.4; previous revision: 1.3
done
Checking in Bundle.properties;
/cvs/web/project/src/org/netbeans/modules/web/project/ui/Bundle.properties,v 
<--  Bundle.properties
new revision: 1.35; previous revision: 1.34
done
Comment 9 Libor Kotouc 2005-03-31 13:30:53 UTC
Fixed also for EJB module.

Checking in NoSelectedServerWarning.java;
/cvs/j2ee/ejbjarproject/src/org/netbeans/modules/j2ee/ejbjarproject/ui/NoSelectedServerWarning.java,v
 <--  NoSelectedServerWarning.java
new revision: 1.5; previous revision: 1.4
done
Checking in NoSelectedServerWarning.java;
/cvs/j2ee/ejbjarproject/src/org/netbeans/modules/j2ee/ejbjarproject/ui/NoSelectedServerWarning.java,v
 <--  NoSelectedServerWarning.java
new revision: 1.6; previous revision: 1.5
done
Checking in NoSelectedServerWarning.form;
/cvs/j2ee/ejbjarproject/src/org/netbeans/modules/j2ee/ejbjarproject/ui/NoSelectedServerWarning.form,v
 <--  NoSelectedServerWarning.form
new revision: 1.4; previous revision: 1.3
done
Checking in Bundle.properties;
/cvs/j2ee/ejbjarproject/src/org/netbeans/modules/j2ee/ejbjarproject/ui/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.12; previous revision: 1.11
done
Comment 10 zikmund 2005-07-13 16:22:01 UTC
v